
#include "task.h"

static void debug(task_t * task) {
	gdouble *o = task->out;
	g_debug(
		"Score: %5f   Fuel: %5f   x: %5f   y: %5f   r: %5f\n",
		o[0], o[1], o[2], o[3], o[4]);
}

static void run(task_t *task) {
	debug(task);
}

int main(int argc, char **argv) {
	task_t *task;
	gdouble score;

	UNUSED(argc);
	UNUSED(argv);

	task = task_new(1001.0, 4, 5);
	score = task_run(task, run);
	printf("Final Score: %f\n", score);
	return 0;
}